% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/model.R
\name{predict_on_batch}
\alias{predict_on_batch}
\title{Returns predictions for a single batch of samples.}
\usage{
predict_on_batch(object, x)
}
\arguments{
\item{object}{Keras model object}

\item{x}{Input data (vector, matrix, or array)}
}
\value{
array of predictions.
}
\description{
Returns predictions for a single batch of samples.
}
\seealso{
Other model functions: \code{\link{compile}},
  \code{\link{evaluate.keras.engine.training.Model}},
  \code{\link{evaluate_generator}},
  \code{\link{fit_generator}}, \code{\link{fit}},
  \code{\link{get_config}}, \code{\link{get_layer}},
  \code{\link{keras_model_sequential}},
  \code{\link{keras_model}}, \code{\link{multi_gpu_model}},
  \code{\link{pop_layer}},
  \code{\link{predict.keras.engine.training.Model}},
  \code{\link{predict_generator}},
  \code{\link{predict_proba}},
  \code{\link{summary.keras.engine.training.Model}},
  \code{\link{train_on_batch}}
}
